Servoy JasperReports Plugin - Defect #392

Unexpected wrap of text-fields
11/23/2011 06:26 PM - Imre Tokai

Status: Closed Start date: 11/23/2011
Priority: High Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Browser (if web All
client):

Description

Hi,

Use iReport 3.7.1 and plugin with jasperreports-4.0.0.jar -is there a better combination nowdays? From my practice migration
causes side-effects, and would be interested for precise version pair(s) of iReport&ServoyPlugin that are proved to work correctly.

When generating PDF, have trouble with text fields' contents wrapping. Even if text field is width enough, the text wraps (even 1 short
word breaks sometimes). Tried to change the font and tweak options: Verdana causes less wrapping but still not clean. Is there a
property (net.sf.jasperreports) that can set wrapping to newer?

Issue doesn't occur from developer, but it does when generating report on Servoy as server -is there any difference? Might be set as
start point in debugging.

Regards

History

#1 - 11/27/2012 09:37 AM - Andrei Costache

- Component version set to 3.3.0 (plugin version)

Imre, have you tried with current 3.3 version of the plugin (and iReport 4.0.0)?
Are these issues still present?

Regards,
Andrei

#2 - 11/27/2012 10:05 AM - Imre Tokai
- Status changed from New to Feedback

- % Done changed from 0 to 100

Thanks Andrei,
These don't occur with the latest version, so issue resolved
Regards

#3 - 11/27/2012 11:20 AM - Andrei Costache
- Status changed from Feedback to Closed

Issue resolved.
